﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FON.PJ.Vezbe.FestivalLibrary
{
    public class Izvodjac : Osoba
    {
        private Nacionalnost _nacionalnost;
        private Lokacija _lokacija;
        private List<Pesma> _spisakPesama;

        public Izvodjac(string ime, DateTime datumRodjenja, Nacionalnost nacionalnost, Lokacija lokacija)
            : base(ime, datumRodjenja)
        {
            _nacionalnost = nacionalnost;
            _lokacija = lokacija;
            _spisakPesama = new List<Pesma>();            
        }

        public Lokacija Lokacija
        {
            get { return _lokacija; }
            set { _lokacija = value; }
        }

        public List<Pesma> SpisakPesama
        {
            get
            {
                return new List<Pesma>(_spisakPesama.ToArray());                
            }
        }

        public void AddPesma(Pesma pesma)
        {
            //
        }


    }
}
