﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FON.PJ.Vezbe.FestivalLibrary
{
    public class Lokacija
    {
        #region Fields

        private string _naziv;
        private TimeSpan _raspolozivoVreme;

        #endregion

        #region Constructors

        public Lokacija(string naziv, TimeSpan raspolozivoVreme)
        {
            _naziv = naziv;
            _raspolozivoVreme = raspolozivoVreme;
        }

        #endregion

        #region Properties

        public string Naziv
        {
            get
            {
                return _naziv;
            }
            set
            {
                _naziv = value;
            }
        }
        public TimeSpan RaspolozivoVreme
        {
            get
            {
                return _raspolozivoVreme;
            }
            set
            {
                _raspolozivoVreme = value;
            }
        } 

        #endregion

        #region Methods

        public override string ToString()
        {
            return string.Format("Lokacija : '{0}' raspolozivo vreme => {1}", _naziv, _raspolozivoVreme);
        }

        #endregion
    }
}
